Description

In the foreman 1.7.2, I'm not able to provision a host with a bond on the primary interface.

The provisioning works fine but the bond get's ignored

Related issues:

Related to Foreman - Feature #17485: Using a bonded interface as provision in... Closed 11/25/2016

Related to Foreman - Feature #17533: Using a bonded interface as provision in... Closed

History

#1 - 02/20/2015 10:48 AM - Dominic Cleal

- Status changed from New to Feedback

Please try using the latest kickstart template and snippet:

https://github.com/theforeman/community-templates

https://github.com/theforeman/community-templates/blob/master/kickstart/provision.erb

https://github.com/theforeman/community-templates/blob/master/snippets/kickstart_networking_setup.erb

These are in nightlies and will be in Foreman 1.8, the one in 1.7 didn't configure extra interfaces.  The foreman-templates plugin can also help you

update your instance with the latest templates from that repo.

#2 - 02/22/2015 02:09 AM - Marek Hulán

Unfortunately, with 1.7.2 you have no way to specify primary interface to be part of a bond, because you can't set the identifier. This is fixed in 1.8

when we extracted primary interface from host so it becomes general interface (with own identifier). Otherwise agree with Dominic, you must use

newest config templates in order to configure bonds (it should still work for all non-primary interfaces)

#3 - 11/24/2016 08:23 AM - Timo Goebel

In Foreman 1.13 this is still broken.

Let's say we have a active-backup bond with two physical interfaces as members.

If you set the bond as primary, managed and provision, tftp orchestration fails because the bond doesn't have a mac. It's a bad idea as well, because

you'd want to orchestrate tftp with the mac of at least one of the primary interfaces.

If you set the bond as primary and managed and one of the physical interfaces as provision, tftp doesn't get queued at all (because the nic is not

managed).

If you set the bond as primary and managed and one of the physical interfaces as provision and managed, tftp doesn't get queued as well (because

the physical interface does not have a subnet).

#4 - 11/24/2016 08:23 AM - Timo Goebel

- Category set to Host creation

#5 - 11/25/2016 07:45 AM - Timo Goebel

- Related to Feature #17485: Using a bonded interface as provision interface should provision TFTP for all child macs as well added
https://github.com/theforeman/community-templates
https://github.com/theforeman/community-templates/blob/master/kickstart/provision.erb
https://github.com/theforeman/community-templates/blob/master/snippets/kickstart_networking_setup.erb


#6 - 11/30/2016 08:54 AM - Timo Goebel

- Related to Feature #17533: Using a bonded interface as provision interface should provision DHCP for all child macs as well added

#7 - 11/30/2016 09:22 AM - Timo Goebel

- Status changed from Feedback to New

#8 - 08/03/2017 07:22 AM - Timo Goebel

- Status changed from New to Resolved

I tested this today and it worked fine for me. Closing as resolved.
